//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "NymRestPgpDlgs.h"
#include "PGPbuffers.h"
#include "PGPfiles.h"
#include "global.h"
#include "view.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TNymRestPgpDlg *NymRestPgpDlg;
//---------------------------------------------------------------------------
bool __fastcall RestoreNymPGPkeys(TForm *Owner, TNymProfile *Profile, TPGPbuffer *Pubkeys,
   TPGPbuffer *Seckeys)
{
   NymRestPgpDlg = new TNymRestPgpDlg(Owner);
   NymRestPgpDlg->Label1->Caption = "PGP Key: "+Profile->nympgpkey();
   NymRestPgpDlg->ShowModal();
   bool ok = NymRestPgpDlg->ModalResult==mrOk;
   if (ok)
   {
      Pubkeys->import(Profile->nympublickey());
      Pubkeys->SaveToFile(PgpPublicRing());
      Seckeys->import(Profile->nymsecretkey());
      Seckeys->SaveToFile(PgpSecretRing());
   }
   delete NymRestPgpDlg;
   Sleep(200);
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TNymRestPgpDlg::TNymRestPgpDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,(TForm*)Owner);
}
//---------------------------------------------------------------------------